diff options
author | Vratko Polak <vrpolak@cisco.com> | 2020-11-26 10:25:06 +0100 |
---|---|---|
committer | Vratko Polak <vrpolak@cisco.com> | 2020-12-02 19:09:37 +0000 |
commit | 523c6e6e24101206ff1318ca17c310dff8b3c9d2 (patch) | |
tree | 26cb4926311b615b6b1c85e5350a9b7d79a9b4b5 /resources/libraries/bash/entry/per_patch_perf.sh | |
parent | d6af9d72acaca4dff70dce1b55dcc03f73061c7b (diff) |
Avoid ci-management archiving files twice
This is a follow-up to https://gerrit.fd.io/r/c/csit/+/20394
https://gerrit.fd.io/r/20119
has changed the way archival works,
everything should now go to logs.fd.io
(instead of appearing on run page in jenkins.fd.io).
The glob pattern for archiving is quite eager,
doing recursive search. That is good, as it can find
also misplaced useful outputs.
But it also means our usage of copy_archives function
creates two copies of archived directtories,
usually archives/ and archives/archive/.
This change renames copy_archives to move_archives,
with few workarounds to support multiple calls.
I also renamed ARCHIVE_DIR value from $CSIT_DIR/archive
to $CSIT_DIR/archives to make "move" operation look natural.
Finally, download_builds function is being removed,
as after recent improvements to VPP compilation speed
nobody seems to be using it.
Change-Id: I19a429e1dfdfaab7fcf32a9609963b1aebd33c6c
Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/per_patch_perf.sh')
-rw-r--r-- | resources/libraries/bash/entry/per_patch_perf.sh | 8 |
1 files changed, 2 insertions, 6 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh index deae8b0bd3..7b64aea67f 100644 --- a/resources/libraries/bash/entry/per_patch_perf.sh +++ b/resources/libraries/bash/entry/per_patch_perf.sh @@ -1,6 +1,6 @@ #!/usr/bin/env bash -# Copyright (c) 2018 Cisco and/or its affiliates. +# Copyright (c) 2020 Cisco and/or its affiliates. # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at: @@ -27,7 +27,7 @@ set -exuo pipefail # + Directories build_root, build and csit are reset during the run. # + The following directories (relative to VPP repo) are (re)created: # ++ csit_new, csit_parent, build_new, build_parent, -# ++ archive, csit/archive, csit_download_dir. +# ++ archives, csit/archives, csit_download_dir. # TODO: Implement some kind of VPP build caching. @@ -48,8 +48,6 @@ build_vpp_ubuntu_amd64 "CURRENT" || die set_aside_commit_build_artifacts || die build_vpp_ubuntu_amd64 "PARENT" || die set_aside_parent_build_artifacts || die -## Replace previous 4 lines with this to speed up testing. -#download_builds "REPLACE_WITH_URL" || die initialize_csit_dirs || die get_test_code "${1-}" || die get_test_tag_string || die @@ -74,7 +72,6 @@ for ((iter=0; iter<iterations; iter++)); do select_build "build_current" || die check_download_dir || die run_pybot || die - copy_archives || die archive_parse_test_results "csit_current/${iter}" || die die_on_pybot_error || die # TODO: Use less heavy way to avoid apt remove failures. @@ -82,7 +79,6 @@ for ((iter=0; iter<iterations; iter++)); do select_build "build_parent" || die check_download_dir || die run_pybot || die - copy_archives || die archive_parse_test_results "csit_parent/${iter}" || die die_on_pybot_error || die done |